unit Pickdate;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  SysUtils, StdCtrls, Grids, ExtCtrls, Borland.Vcl.ComCtrls,
  System.ComponentModel;

type
  TBrDateForm = class(TForm)
    OkBtn: TButton;
    CancelBtn: TButton;
    Panel1: TPanel;
    MonthCalendar1: TMonthCalendar;
  private
    procedure SetDate(Date: TDateTime);
    function GetDate: TDateTime;
  public
    property Date: TDateTime read GetDate write SetDate;
  end;

var
  BrDateForm: TBrDateForm;

implementation

{$R *.nfm}

procedure TBrDateForm.SetDate(Date: TDateTime);
begin
  MonthCalendar1.Date := TDate(Date);
end;

function TBrDateForm.GetDate: TDateTime;
begin
  Result := TDateTime(MonthCalendar1.Date);
end;

end.
